package envoy.schema;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlType;

/**
 * Project: <strong>envoy-common</strong><br>
 * File: <strong>MessageState.java</strong><br>
 * Created: <strong>11 Oct 2019</strong><br>
 * 
 * @author Kai S. K. Engelbart
 */
@XmlType(name = "")
@XmlEnum
public enum MessageState {

	Waiting, Sent, Received, Read;

	public String value() { return name(); }

	public static MessageState fromValue(String v) { return valueOf(v); }
}
